Bug 699015 - [abrt] telepathy-mission-control: g_str_hash: Process /usr/libexec/mission-control-5 was killed by signal 11 (SIGSEGV)
Summary: [abrt] telepathy-mission-control: g_str_hash: Process /usr/libexec/mission-co...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:92603020fbd1e9a57b203f2e13c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-22 15:53 UTC by Scotty Delicious
Modified: 2015-02-18 13:33 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 13:33:00 UTC
Type: ---


Attachments (Terms of Use)
File: maps (9.64 KB, text/plain)
2011-04-22 15:53 UTC, Scotty Delicious
no flags Details
File: dsos (6.52 KB, text/plain)
2011-04-22 15:53 UTC, Scotty Delicious
no flags Details
File: backtrace (8.47 KB, text/plain)
2011-04-22 15:53 UTC, Scotty Delicious
no flags Details
abrt.log (30.51 KB, text/plain)
2011-09-29 12:19 UTC, Tim Waugh
no flags Details
ABRT trace directory (650.00 KB, application/gzip)
2013-06-01 04:36 UTC, Mark Tinberg
no flags Details

Description Scotty Delicious 2011-04-22 15:53:42 UTC
abrt version: 2.0.1
comment: Unsure
executable: /usr/libexec/mission-control-5
cmdline: /usr/libexec/mission-control-5
component: telepathy-mission-control
kernel: 2.6.38.2-9.fc15.x86_64
crash_function: g_str_hash
package: telepathy-mission-control-5.7.9-1.fc15
reason: Process /usr/libexec/mission-control-5 was killed by signal 11 (SIGSEGV)
uid: 500
architecture: x86_64
username: scottydelicious
rating: 4
time: 1303485691
os_release: Fedora release 15 (Lovelock)

Text file: maps, 9873 bytes
Binary file: coredump, 1626112 bytes
Text file: dsos, 6679 bytes
Text file: backtrace, 8670 bytes

environ
-----
SHELL=/bin/bash
DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-cIJAwHaRP0,guid=14e6318c5e7fd2a5beafc38d00000039
XDG_SESSION_COOKIE=91e9576b8024391aad4286660000001d-1303421571.902861-1792777643
XDG_RUNTIME_DIR=/run/user/scottydelicious
DISPLAY=:0
DESKTOP_SESSION=gnome
SSH_AUTH_SOCK=/tmp/keyring-t0Logw/ssh
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1427,unix/unix:/tmp/.ICE-unix/1427
WINDOWPATH=1
PATH=/usr/local/bin:/usr/bin:/bin
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
USERNAME=scottydelicious
GDMSESSION=gnome
XDG_SESSION_ID=1
GPG_AGENT_INFO=/tmp/keyring-t0Logw/gpg:0:1
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cIJAwHaRP0,guid=14e6318c5e7fd2a5beafc38d00000039
XAUTHORITY=/var/run/gdm/auth-for-scottydelicious-jIUDRo/database
USER=scottydelicious
DBUS_STARTER_BUS_TYPE=session
PWD=/home/scottydelicious
GDM_LANG=en_US.utf8
SHLVL=1
GNOME_KEYRING_CONTROL=/tmp/keyring-t0Logw
LANG=en_US.utf8
_=/usr/bin/dbus-launch
LOGNAME=scottydelicious
HOME=/home/scottydelicious

build_ids
-----
e5f626726497a81807681ed0088dbce6d6a1f17b
f65baade131f67f424c4167cb2f046cb63a96c01
6dec4e7bc1fd8988fadf0ec725da4d8b774df3a6
21ad5b8ca30ad4dbb2190cfd19b03c69958ad013
2e2c6e6923315757b29bfe4e33012a16c21fcaa7
bf615965946dc1e09f318094c71f8652d385b7b4
4953d1f613914126bccceb3cb96386647ffba9df
9fd7f9c1f8b41211bd210e10f915ef69cea6a2ee
2c35820baaea8571d8a8dc977f23cc7f629ddcb4
0821ce916f4a19e578a6da3b4e59ff482896738c
8f67031b50aa96f0a6ae7c89efed129297831c5d
9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
1055ac8cb851ad0f25c1533682ed949a1d85c826
a7158bee1dfaecfbd81d16bc6b31b082b0d5244a
ac2d0df6d582cf6c9800b0bfe5a1ef4276a97a82
d54647ce3fe0f70c8d886886d69b0fb5038371fa
2f709c0d80b7741b678d35892b3ffacecc03d50c
15e31091755a8e7a6ece970b556da47f930e0485
5cc111ce758441128d08b5bc105a37addbc28a93
415dd94df0672c555dd4b2a4ef9dbf530694c82c
c08ee75747f49663df26be3e321cb24fbf70a426
5d363f921f4545ef2e76fa9405d096745d4177fd
8b86e05e174366cfcab602f40f851b804e605b1c
b3900bee00b584ef0bfe2adc2f9b9aed93870bc0
13b548b1b2fe399624a3bab14784e59a06932b8f

event_log
-----
2011-04-22-10:39:30> (exited with 0)
2011-04-22-10:39:30> Analyzing coredump '/home/scottydelicious/.abrt/spool/ccpp-2011-04-22-10:21:31-1664/coredump'
2011-04-22-10:39:31  Coredump references 25 debuginfo files, 4 of them are not installed
2011-04-22-10:40:01  Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-debug-f15&arch=x86_64 error was 
2011-04-22-10:40:01  No repomd file
2011-04-22-10:40:03  Looking for needed packages in repositories
2011-04-22-10:40:59  Packages to download: 1
2011-04-22-10:40:59  Downloading 0.66Mb, installed size: 3.36Mb
2011-04-22-10:41:05  Downloading (1 of 1) telepathy-mission-control-debuginfo-5.7.9-1.fc15.x86_64.rpm: 100%
2011-04-22-10:41:05  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-04-22-10:39:31.21195/telepathy-mission-control-debuginfo-5.7.9-1.fc15.x86_64.rpm
2011-04-22-10:41:05  Caching files from unpacked.cpio made from telepathy-mission-control-debuginfo-5.7.9-1.fc15.x86_64.rpm
2011-04-22-10:41:05  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-04-22-10:39:31.21195
2011-04-22-10:41:07> Backtrace is generated and saved, 8670 bytes
2011-04-22-10:41:07> (exited with 0)

Comment 1 Scotty Delicious 2011-04-22 15:53:45 UTC
Created attachment 494255 [details]
File: maps

Comment 2 Scotty Delicious 2011-04-22 15:53:50 UTC
Created attachment 494256 [details]
File: dsos

Comment 3 Scotty Delicious 2011-04-22 15:53:54 UTC
Created attachment 494257 [details]
File: backtrace

Comment 4 Johan Vervloet 2011-05-18 08:53:45 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Started empathy.  I have an xmpp and an irc account in there.
Empathy tries to download my xmpp contacts, but it doesn't work.  It keeps spinning the 'wait-a-moment-icon'.

Comment 5 Jesse Sweetland 2011-05-31 13:31:10 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Opened Empathy

Comment 6 Vamp898 2011-06-14 09:50:48 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Had new messages from offline users and wanted to open them. They opened but i got this crash-report anyway

Comment 7 Vamp898 2011-06-14 09:51:34 UTC
(In reply to comment #6)
> Package: telepathy-mission-control-5.7.11-1.fc15
> Architecture: i686
> OS Release: Fedora release 15 (Lovelock)
> 
> 
> Comment
> -----
> Had new messages from offline users and wanted to open them. They opened but i
> got this crash-report anyway

i have only two XMPP Accounts (if this matters)

Comment 8 Jan Vlug 2011-06-28 22:31:25 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I do not know how this happened.

Comment 9 Jan Vlug 2011-06-28 22:33:12 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I do not know how this happened.

Comment 10 ssabchew 2011-07-09 21:10:01 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Typing on jabber account

Comment 11 ssabchew 2011-07-09 21:11:01 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Typing on jabber account

Comment 12 Miloslav Trmač 2011-07-25 20:47:33 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Just started empathy

Comment 13 José Antonio 2011-07-25 21:50:56 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Facebook refuses to login or connection is lost frequently.

Comment 14 José Antonio 2011-07-25 21:51:26 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Facebook refuses to login or connection is lost frequently.

Comment 15 Nicolas Mailhot 2011-07-27 11:27:25 UTC
Package: telepathy-mission-control-5.9.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 17 (Rawhide)

Comment
-----
on log in (empathy is started as part of the user session)

Comment 16 Nicolas Mailhot 2011-07-27 11:27:34 UTC
Package: telepathy-mission-control-5.9.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 17 (Rawhide)

Comment
-----
on log in (empathy is started as part of the user session)

Comment 17 clifford snow 2011-07-29 14:01:33 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
login to user after a control-alt-backspace logout.  
previous session un-usable after disconnect of second display.

Comment 18 Nicolas Mailhot 2011-07-30 08:40:25 UTC
Package: telepathy-mission-control-5.9.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 17 (Rawhide)

Comment
-----
on log in (empathy is launched as part of the session)

Comment 19 Nicolas Mailhot 2011-07-30 08:40:35 UTC
Package: telepathy-mission-control-5.9.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 17 (Rawhide)

Comment
-----
on log in (empathy is launched as part of the session)

Comment 20 Nicolas Mailhot 2011-08-02 16:06:39 UTC
Package: telepathy-mission-control-5.9.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 17 (Rawhide)

Comment
-----
on log in

Comment 21 Fedora Update System 2011-08-16 22:22:50 UTC
telepathy-mission-control-5.8.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/telepathy-mission-control-5.8.0-1.fc15

Comment 22 Fedora Update System 2011-08-18 02:28:06 UTC
Package telepathy-mission-control-5.8.0-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing telepathy-mission-control-5.8.0-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/telepathy-mission-control-5.8.0-1.fc15
then log in and leave karma (feedback).

Comment 23 Alexander Ivanov 2011-08-27 06:14:16 UTC
Package: telepathy-mission-control-5.9.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I don't know

Comment 24 Jan Vlug 2011-08-30 18:26:09 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Don't know.

Comment 25 penthium2 2011-08-31 11:59:47 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
just boot

Comment 26 penthium2 2011-08-31 18:41:16 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
just boot

Comment 27 Fedora Update System 2011-09-02 05:27:16 UTC
telepathy-mission-control-5.8.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Adam Williamson 2011-09-09 22:59:29 UTC
I just hit this in F16, need the fix there too...

Comment 29 Peter Robinson 2011-09-10 12:34:39 UTC
(In reply to comment #28)
> I just hit this in F16, need the fix there too...

what version if f-16? Its on a different release branch to f-15

Comment 30 Adam Williamson 2011-09-12 22:37:35 UTC
looks like that was with 1:5.9.2-1.fc16.x86_64 - by the looks of yum history, I'd updated it just the morning before that comment.

Comment 31 Tim Waugh 2011-09-16 08:21:54 UTC
I just saw this with telepathy-mission-control-5.9.2-1.fc16.x86_64 on F-16 as well.

Comment 32 Tim Waugh 2011-09-28 08:12:30 UTC
Still hitting this in F-16.

Comment 33 Tim Waugh 2011-09-29 12:17:14 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Setting status to available from the GNOME shell.

Comment 34 Tim Waugh 2011-09-29 12:19:52 UTC
Created attachment 525546 [details]
abrt.log

Comment 35 James Cape 2011-09-29 13:50:24 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
From updates-testing, crashing while opening an IRC /msg window on freenode.

Comment 36 Greg` 2011-09-30 07:54:43 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
still crashes but only crashes in Gnome?

Comment 37 Tim Waugh 2011-09-30 14:45:59 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Started empathy.

Comment 38 James Cape 2011-09-30 15:05:57 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash when clicking on the user icon in the status tray to open the "real" chat window.

Comment 39 James Cape 2011-09-30 15:06:16 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash when clicking on the user icon in the status tray to open the "real" chat window.

Comment 40 Mads Villadsen 2011-10-02 08:36:43 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Logged in, waited for empathy to connect to the #fedora chat, clicked the icon in the notification bar.

Comment 41 Artur Flinta 2011-10-03 11:36:09 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just died

Comment 42 Mads Villadsen 2011-10-03 18:15:24 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Logged in. Empathy connected to my accounts and it crashed.

Comment 43 Marek Michał Mazur 2011-10-03 19:28:32 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Working with empathy.

Comment 44 James Cape 2011-10-04 03:58:41 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash on startup.

Comment 45 Sanne Bregman 2011-10-04 07:41:49 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This probably has to with Empathy not resuming correctly after suspend.

Comment 46 Sanne Bregman 2011-10-04 12:34:55 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I haven't the foggiest

Comment 47 Marek Michał Mazur 2011-10-04 13:44:52 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Sending message.

Comment 48 James Cape 2011-10-04 16:05:53 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Trying to click on the user icon to bring up a chat window. Window came up, got the report.

Comment 49 Elad Alfassa 2011-10-05 07:28:53 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Send a message

Comment 50 Fedora Update System 2011-10-05 12:11:01 UTC
telepathy-mission-control-5.9.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/telepathy-mission-control-5.9.3-1.fc16

Comment 51 James Cape 2011-10-05 14:43:31 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Clicking on user icon in the notification area in GNOME Shell.

Comment 52 Fedora Update System 2011-10-05 17:14:15 UTC
Package telepathy-mission-control-5.9.3-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing telepathy-mission-control-5.9.3-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/telepathy-mission-control-5.9.3-1.fc16
then log in and leave karma (feedback).

Comment 53 Joel 2011-10-05 19:43:31 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just using Empathy while connected to google talk and Lotus Sametime servers

Comment 54 Iván Jiménez 2011-10-05 21:56:42 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
i right clicked on a contact in the notification area, then in open

Comment 55 Gabriel 2011-10-05 22:47:09 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I clicked on a chat notification in the bottom bar in GNOME shell. Up came an Empathy window, then this crash occurred.

Comment 56 Greg` 2011-10-05 23:04:50 UTC
updated to 5.9.3 and all worked wihout a crash ( might Add i also rebooted the machine to then logged into Empathy )

Comment 57 Tim Waugh 2011-10-06 07:46:14 UTC
Package: telepathy-mission-control-5.9.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Happened when starting empathy.

Comment 58 Artur Flinta 2011-10-06 07:48:47 UTC
I've updated to 5.9.3-1.fc16 and it seems to be working again. Thanks!

Comment 59 Fedora Update System 2011-10-09 19:44:09 UTC
telepathy-mission-control-5.9.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 60 Adam Williamson 2011-11-08 04:38:14 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 61 Amit Shah 2012-11-20 19:09:21 UTC
telepathy-mission-control-5.14.0-1.fc18.x86_64

Happened again; can't say how -- abrt had flagged it and identified this bug where the problem was already reported, so re-opening.

Comment 62 Amit Shah 2012-11-20 19:11:53 UTC
https://retrace.fedoraproject.org/faf/reports/13643/

is the other link given by abrt-gui, shows the backtrace as well as 'hits' this bug is getting.

Comment 63 Dean Hunter 2012-12-09 16:33:47 UTC
I am getting this bug report during every login with Fedora 18 beta.

Comment 64 Ludek Finstrle 2013-01-29 08:41:27 UTC
I just login to fresh booted system.

backtrace_rating: 4
Package: telepathy-mission-control-5.14.0-2.fc18
OS Release: Fedora release 18 (Spherical Cow)

Comment 65 Rasmus Kaj 2013-03-26 15:21:37 UTC
It seems to me this is related to https://bugzilla.redhat.com/show_bug.cgi?id=889623 (i.e. the crash in mission-control-5 may be either causing or caused by the crash in empathy)?

Comment 66 Alex Murray 2013-04-15 23:55:35 UTC
Crash on F19 duped to this

Comment 67 Ankur Sinha (FranciscoD) 2013-04-18 02:03:02 UTC
I seem to have this from an evolution instance? All my imap/microsoft exchange accounts disappeared and this crash message came up. This was just after gnome-online-accounts crashed. Not really sure which one triggered it.

Comment 68 Dean Hunter 2013-05-14 22:43:07 UTC
This problem persists in Fedora 19 Beta TC4. It is reported immediately after login as a FreeIPA user. The problem does not occur after a login as a local user.

Comment 69 Amit Shah 2013-05-29 04:45:12 UTC
Also happens on latest F19 bits with local login (no freeipa).

Comment 70 Vamp898 2013-05-29 05:03:55 UTC
lol this Bug exists since 2 years and is still not fixed.

Well I never expected it to he fixed, I expected that like with the most bugs they get automatically closed because the fedora version is no longer supported, but this is just ridiculous.

Especially that this bug doesn't appear on any other distribution.

I would recommend to close this bug and tell its a feature to check if abrt is working properly, that's the last way to get this bug closed while keeping a face.

The people are used to this Bug since Fedora 15 and some may already built a relationship with it and would actually miss it. Some may even fell in love with it and would loose there sense in live without this bug.

Comment 71 Ankur Sinha (FranciscoD) 2013-05-29 06:08:32 UTC
(In reply to Vamp898 from comment #70)
> lol this Bug exists since 2 years and is still not fixed.
> 
> Well I never expected it to he fixed, I expected that like with the most
> bugs they get automatically closed because the fedora version is no longer
> supported, but this is just ridiculous.
> 
> Especially that this bug doesn't appear on any other distribution.
> 
> I would recommend to close this bug and tell its a feature to check if abrt
> is working properly, that's the last way to get this bug closed while
> keeping a face.
> 
> The people are used to this Bug since Fedora 15 and some may already built a
> relationship with it and would actually miss it. Some may even fell in love
> with it and would loose there sense in live without this bug.

Please stop ranting on bugzilla. If you see the comment thread, multiple updates have attempted to fix the bug. 

Rather than rant, why don't you do something constructive like file it with the upstream tracker at bugzilla.gnome.org? It'd take less time than it took you to type that useless comment. 

Please, I insist that you not rant over bugzilla in the future. It's not the place to do it.

Warm regards,
Ankur

Comment 72 Vamp898 2013-05-29 07:24:42 UTC
Dear Ankur,

im not able to reproduce this bug in Archlinux or Gentoo so i dont see any need to file an upstream bug. As Archlinux uses an nearly Vanilla GNOME and Gentoo also it seems rather like an packaging/pre-configuring/patching issue in RedHat.

Why not just stop useless brandings, patches and pre-configurings and deliver Vanilla Software. The Developers created the software without this bug so why even include it? Save zjr time and give developers more time to do constrctive stuff.

2 years is _way_ to long for an bug that can't be reproduced in other distributions and so highly look distribution specific.

As long Red Hat/Fedora developers dont stop to break upstream packages, such bugs cant be purged completely.

We are here on the Bug-Tracker to purge bugs and the purge this bug we have to accept that something went terribly wrong here.

2 years, 5 fedora Versions, some people can reproduce it every reboot and only fedora does have it.

I made the sad experience that sometimes ranting is the only way to get developers to fix a bug and after such a long time its really needed.

Sorry for that but i wonder why it was even released with such a bug as nearly everyone is able to reproduce it.

How do i have to imagine the conversation? "Hey there is a bug which appears on every login and nearly everyone is able to reproduce it.... release it anyway, they wont notice".

To fix such bugs in the future there are 2 things needed

1. provide Vanilla Software
2. Give the people the possibility to test such Software without breaking the whole system.

Nobody wants a broken system and only very few people install separated test-machines and thats why such bugs starting to exist.

Gentoo and Archlinux can do it too, why not fedora?

This bug is not only "Telepathy mission control annoys on login", its rather "fundamental problems in the distribution keep bugs like this alive"

There should be a Bug called "Fundamental Fedora problems" and this bug should depend on that bug. That would be a proper workflow.

There is really nothing that much productive a user can say about this bug.

It crashes, it crashes only in Fedora --> nothing more to say --> Fedora Developers have to take a look and it seems like they are not able to fix it in 2 years so something _have_ to change finally.

Comment 73 Peter Robinson 2013-05-29 08:14:33 UTC
Please do stop ranting.

> im not able to reproduce this bug in Archlinux or Gentoo so i dont see any
> need to file an upstream bug. As Archlinux uses an nearly Vanilla GNOME and
> Gentoo also it seems rather like an packaging/pre-configuring/patching issue
> in RedHat.

Just because you can't reproduce it in other distros it doesn't mean it's not an upstream bug. We use vanilla non modified upstream source.

> Why not just stop useless brandings, patches and pre-configurings and
> deliver Vanilla Software. The Developers created the software without this
> bug so why even include it? Save zjr time and give developers more time to
> do constrctive stuff.

We do. Our sources for the package are here and there's not a single patch and we use pretty vanilla config options.
http://pkgs.fedoraproject.org/cgit/telepathy-mission-control.git/tree/

> 2 years is _way_ to long for an bug that can't be reproduced in other
> distributions and so highly look distribution specific.

Distributions are highly complex beasts and each package depends on 100s of others. 

> As long Red Hat/Fedora developers dont stop to break upstream packages, such
> bugs cant be purged completely.

In the case of telepathy-mission-control I can honestly say upstream has been pretty god damn broken over the years upstream and it's getting slowly better. 

> I made the sad experience that sometimes ranting is the only way to get
> developers to fix a bug and after such a long time its really needed.

It's rarely the way I can tell you.

> Sorry for that but i wonder why it was even released with such a bug as
> nearly everyone is able to reproduce it.

It's not that reproducible. Yet neither you or anyone else has bothered to put a recent backtrace.

> To fix such bugs in the future there are 2 things needed
> 
> 1. provide Vanilla Software

We do.

> 2. Give the people the possibility to test such Software without breaking
> the whole system.

How does this bug "break the whole system"? 

> This bug is not only "Telepathy mission control annoys on login", its rather
> "fundamental problems in the distribution keep bugs like this alive"
> 
> There should be a Bug called "Fundamental Fedora problems" and this bug
> should depend on that bug. That would be a proper workflow.

I would hardly call it a show stopper or a "Fundamental Fedora problems" and there's a lot worse issues than a few crashes in recent releases.

Looking back through the bug I can see the following stats:
* XX total abrt updates on this bug
* 45 of those were <= Fedora 16
* No crashes reported in F-17 at all
* 3 on F-18 but not one has put a new back trace or any details on the F-18 reports
* 3 circumstantial reports for F-19 but there has been no back trace with debug symbols attached 

> It crashes, it crashes only in Fedora --> nothing more to say --> Fedora
> Developers have to take a look and it seems like they are not able to fix it
> in 2 years so something _have_ to change finally.

So I don't think the two are actually related. There's probably a snippet of code that makes the new ones look like the old one to the auto tools.

So if you really do want it fixed I need the following technical details rather than crappy rants of useless information.

Details needed:
* a full recent back trace with all debug symbols so I can debug it.
* A list of all types of accounts you have configured in Empathy and Gnome online accounts.

I have configured MSN, three IRC, three XMPP/Jabber accounts and I don't see any crashes on it and haven't since the fix in F16

Comment 74 Ludek Finstrle 2013-05-29 18:08:31 UTC
Hello Peter,

I'm one of the reporter with F18.

* it's not my problem that abrt didn't include newer back trace :( and also nobody asked me for new one
* I have no Empathy account and also no Gnome online account.

Can you give me a hint what debug symbols packages I need to install?

Comment 75 Peter Robinson 2013-05-29 18:58:33 UTC
(In reply to Ludek Finstrle from comment #74)
> Hello Peter,
> 
> I'm one of the reporter with F18.
> 
> * it's not my problem that abrt didn't include newer back trace :( and also
> nobody asked me for new one
> * I have no Empathy account and also no Gnome online account.
> 
> Can you give me a hint what debug symbols packages I need to install?

It depends on your system. If you run through the initial bits of a abrt report it should be able to generate it for you if you select the local option and before you submit it you can view it and cut and paste it into a text file to attach here

Comment 76 Adam Williamson 2013-05-29 19:08:59 UTC
There is a 'debuginfo-install' command you can use: 'debuginfo-install telepathy-mission-control' should get most of what you need.

Comment 77 Mark Tinberg 2013-06-01 04:28:23 UTC
I don't know if this helps but in fairly quick succession I had bz #889623 at 10:26:47, then bz #905168 or #827158 (which may be unrelated, I installed the update-testing clutter 1.12-2 anyway) then at 11:13:56 when I logged out I got this bug which abrt says is linked to https://retrace.fedoraproject.org/faf/reports/18366/  It would seem that the telepathy and empathy issues might be related in some way.

HTH

Comment 78 Adam Williamson 2013-06-01 04:34:43 UTC
Telepathy is the backend for Empathy.

Comment 79 Mark Tinberg 2013-06-01 04:36:59 UTC
Created attachment 755459 [details]
ABRT trace directory

Comment 80 Peter Robinson 2013-06-01 11:05:48 UTC
Can people confirm if they get the crash only if they don't have any gnome-online-accounts configured.

Comment 81 Peter Robinson 2013-06-01 11:06:23 UTC
Can people confirm if they get the crash only if they don't have any gnome-online-accounts or empathy accounts configured.

Comment 82 Ankur Sinha (FranciscoD) 2013-06-01 14:51:11 UTC
(In reply to Peter Robinson from comment #81)
> Can people confirm if they get the crash only if they don't have any
> gnome-online-accounts or empathy accounts configured.

I have accounts in g-o-a configured with a gmail and a facebook account. I experience this crash too. I haven't been able to reproduce this at will though so I'm really not certain of what triggers it.

Warm regards,
Ankur

Comment 83 Mark Tinberg 2013-06-01 16:26:17 UTC
(In reply to Peter Robinson from comment #81)
> Can people confirm if they get the crash only if they don't have any
> gnome-online-accounts or empathy accounts configured.

I have google and facebook chat accounts configured through GOA as well as an additional Jabber, IRC, and zeroconf accounts configured directly in empathy as those types aren't exposed in the system Settings app.

Comment 84 Nicolas Mailhot 2013-06-03 09:57:54 UTC
I don't have gnome-online-accounts  but should have empathy accounts

(though empathy have not been working for months in rawhide due to a run-time dependence on a gl .so file which is not present in the repo. Yay for not exposing your needs in package metadata)

Comment 85 Adam Williamson 2013-06-18 23:36:56 UTC
Just hit this in a VM in which I was testing the fix for https://bugzilla.redhat.com/show_bug.cgi?id=968951 . I fresh installed F19 Final TC5 from DVD, created a user in gnome-initial-setup , configured an Owncloud account for that user, went into Settings, created a new user account, logged out of user1 and logged in as user2, completed g-i-s for user2, verified that the Owncloud account of user1 was not present in user2's configuration (that's 968951), logged out of user2 and back into user1, at which point I saw this crash.

Comment 86 Erwan Legrand 2013-07-18 08:53:01 UTC
This has happened to me once again. Here is how I think have triggered this bug.
1. Run kinit
2. Change password with kpasswd
3. A while later notice there are two kerberos accounts under GOA
4. Remove one of the kerberos accounts so that only one remain

ABRT caught the crash immediately after I did step 4.

Comment 87 Erwan Legrand 2013-07-18 08:54:46 UTC
Sorry, I should have mentioned that I have logged out and the logged in back again between steps 2. and 3.

Comment 88 Phil Mayers 2013-08-27 13:01:33 UTC
I can confirm Erwan's repro in comment #86 - using the new "multiple cred cache" if you have two, and remove one via g-o-accounts, the backtrace happens.

Comment 89 Fedora End Of Life 2013-12-21 14:55:03 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 90 Adam Williamson 2013-12-21 19:46:43 UTC
I at least had this in F19, so bumping.

Comment 91 Fedora End Of Life 2015-01-09 21:48:40 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 92 Fedora End Of Life 2015-02-18 13:33:00 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.